> For the complete documentation index, see [llms.txt](https://docs.nalpeiron.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nalpeiron.com/zentitle2-docs/developers/the-licensing-client-.net/configure-nuget-source.md).

# Configure NuGet Source

If you want to use a nuget package to add Zentitle Licensing Client to your application you will have to add our GitLab Package Registry as a nuget source in your IDE.

{% hint style="info" %}
Credentials to our package registry can be created in the Zentitle2 interface (Administration -> API Credentials -> Package Registry)
{% endhint %}

### Add new NuGet source <a href="#add-new-nuget-source" id="add-new-nuget-source"></a>

Please remember to provide your username and token in the following commands.

#### .NET CLI <a href="#net-cli" id="net-cli"></a>

```shell
dotnet nuget add `
  source "https://gitlab.com/api/v4/projects/44137879/packages/nuget/index.json" `
  --name Zentitle `
  --username <gitlab_username or deploy_token_username> `
  --password <gitlab_personal_access_token or deploy_token>
```

#### NuGet CLI <a href="#nuget-cli" id="nuget-cli"></a>

Install [NuGet CLI 5.1 or later](https://www.nuget.org/downloads)

```shell
nuget source Add `
    -Name <source_name> `
    -Source "https://gitlab.com/api/v4/projects/44137879/packages/nuget/index.json" `
    -UserName <gitlab_username or deploy_token_username> `
    -Password <gitlab_personal_access_token or deploy_token>
```

#### Visual Studio <a href="#visual-studio" id="visual-studio"></a>

1. Open Visual Studio.
2. In Windows, select File > Options. On macOS, select Visual Studio > Preferences.
3. In the NuGet section, select Sources to view a list of all your NuGet sources.
4. Select Add.
5. Complete the following fields:
   * Name: Nalpeiron.
   * Location: <https://gitlab.com/api/v4/projects/44137879/packages/nuget/index.json>
   * Username: Your GitLab username or deploy token username.
   * Password: Your personal access token or deploy token.

### More information <a href="#more-information" id="more-information"></a>

* [Adding GitLab Package Repository Nuget Source](https://docs.gitlab.com/ee/user/packages/nuget_repository/index.html)

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.nalpeiron.com/zentitle2-docs/developers/the-licensing-client-.net/configure-nuget-source.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
